put
https://batch.search.hereapi.com/v7/batch/notifications/
(BETA) Replace a notification.
To configure a notification, the type as well as the the config property needs to be defined. Each type requires individual properties as listed below.
webHook
webHookFor the notification of the type webHook only a url parameter is required. This URL is called via a GET request, after the job is completed.
To individualize the request, property placeholders in the URL are substituted if surrounded by '${' and '}' These placeholders can be in the path or a query parameter.
Available properties are:
- JOB_ID
- JOB_NAME
- JOB_STATUS
- JOB_OUTPUT_TYPE
- JOB_RECORDS_SUCCEEDED
- JOB_RECORDS_FAILED
- JOB_RECORDS_TOTAL
- JOB_RECORDS_VALID
- JOB_RECORDS_INVALID
An example for the url property would be: 'https://myPublicDomain.de?jobId=${JOB_ID}&status=${JOB_STATUS}'